<template>
    <div :class="$style.container">
        {{ isLoading }}
        <!-- <c-loading v-if="loading" /> -->
        <template v-if="loading">
            <slot></slot>
        </template>
    </div>
</template>

<script>
// import CLoading from '@/components/CLoading'
import { useAnalyticsStore } from '@/store/analytics'
const analyticsStore = useAnalyticsStore()
export default {
    name: 'MainMasterPage',

    components: {
        // CLoading,
    },

    computed: {
        isLoading() {
            console.log('----------analyticsStore')
            console.log(analyticsStore)
            return analyticsStore.loading
        },
    },
}
</script>

<style lang="scss" module>
.container {
    margin: 32px;
}
</style>
